34 Replies Latest reply on Aug 10, 2011 1:03 PM by sam.baker

    I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"

    RaamEE-IL

      Hi,

       

      I have installed both FB4 and Flash CS5 as trial versions. I installed FB4 as a plugin into eclipse Gallileo and then installed CS5. When trying to create a new Flash Project in Eclipse I get the message "This feature requires Adobe Flash CS5 or higher to be installed.", although CS5 is installed.

       

      I tried reinstalling FB4 but it didn't help.

       

      If FB4 is installed as standalone, then its eclipse IDE has no problem creating new Flash Projects.

       

      Any idea why the plugin doesn't detect my Flash Pro CS5 installation?

       

      Thanks.

       

       

      RaamEE-IL

        • 1. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS
          C. Agruss (Adobe) Level 3

          That's a very strange message indeed - thanks for letting us know about that.

           

          In your temp folder, you should find log files named "oobelib.log" and "amt3.log".

           

          On Win, you can find the temp folder this way:

          - open a command window, and type "set" to view the environment variables

          - navigate to the folder defined by the envvar named TMP

           

          On Mac, you'll generally find the temp folder here:

          /private/tmp/

           

          If you find one (or both) of those log files, zip them up and attach them to this thread. If you have any trouble attaching them, try sending them to me via private forum message instead.

           

          Thanks,

           

          -Chris

          • 2. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
            RaamEE-IL Level 1

            Hi,

             

            I've attached the logs you requested.

             

            You should know that I am using Windows-7 64bit

             

            Thanks for the help.

             

            Bye,

              RaamEE-IL

             

             

             

             

            ---------------------------------------------------------------------------------

             

            <?xml version="1.0" encoding="utf-8" ?>
            <AMTLIB_PDApp xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="AMTLIB-PDApp.xsd">
                <amtlib_parameters>
                    <key name="AdobeCode">{4429F632-6999-48AE-9251-9591031C7241}</key>
                    <key name="AdobeIDCreated">true</key>
                    <key name="AppAMTBkGndFilePath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\LMResources\background.png</key>
                    <key name="AppAMTConnectionFAQFilePath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\OBLRes\en_US\ConnectionFAQ.html</key>
                    <key name="AppAMTLicenseAFAQFilePath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\OBLRes\en_US\LicenseFAQ.html</key>
                    <key name="AppAMTLogoFilePath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\LMResources\adobelogo.png</key>
                    <key name="AppAMTPath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT</key>
                    <key name="AppDriverAMTPath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT</key>
                    <key name="AppDriverLEID">FlashBuilderPlugin-CS5-Win-GM</key>
                    <key name="AppEULAFolderPath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\Legal</key>
                    <key name="AppHostAppType">ALM_HostAppType_LicensedProduct</key>
                    <key name="AppLaunchPath"></key>
                    <key name="AppListOfLocales">en_US</key>
                    <key name="AppName">Adobe Flash Builder 4 Plug-in</key>
                    <key name="AppPath">C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse</key>
                    <key name="AppProcessID"></key>
                    <key name="AppRunningLEID">FlashBuilderPlugin-CS5-Win-GM</key>
                    <key name="AppRunningLocale">en_US</key>
                    <key name="AppSerialNumber">952307006650319154206597</key>
                    <key name="BonusLaunchCode"></key>
                    <key name="BuyURL">http://www.adobe.com/go/buy?productID=424&release=4.0&platform=2&locale=en_US</key>
                    <key name="ClaimSource">nag_trial</key>
                    <key name="DriverAdobeCode">{4429F632-6999-48AE-9251-9591031C7241}</key>
                    <key name="ExtendedProfileRegURL">http://www.adobe.com/go/adobemembership?productID=424&release=4.0&platform=2&locale=en_US& source=PCSTHX</key>
                    <key name="ForcedActivation">0</key>
                    <key name="HasSAASBit">0</key>
                    <key name="LaunchMode">postchrome</key>
                    <key name="NoTrial">0</key>
                    <key name="ShowEULA">false</key>
                    <key name="TrialExpired">0</key>
                    <key name="TrialGrace">60</key>
                    <key name="TrialLeft">52</key>
                    <key name="UpgradeCheckRequired">0</key>
                    <key name="WorkFlowType">Subsequent_Launch</key>
                </amtlib_parameters>
            </AMTLIB_PDApp>

             

             

             

             

             

             

            ---------------------------------------------------------------------------------

            2010-05-24 17:58:28 [3976]  AMT: START SESSION, library version 3.0.0.64,3.0
            2010-05-24 17:58:28 [3976]  AMT: Initializing C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\
            2010-05-24 17:58:28 [3976]  AMT: Adobe License Manager version 3.2 (build 64.0) RELEASE
            2010-05-24 17:58:28 [3976]  AMT: Virtualization Turned off
            2010-05-24 17:58:28 [3976]  ServiceLoader: looking for library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\adobe_caps.dll
            2010-05-24 17:58:28 [3976]  ServiceLoader: Found library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\adobe_caps.dll
            2010-05-24 17:58:28 [3976]  PCDService: PCD Service in threaded mode
            2010-05-24 17:58:28 [3976]  performance: AMTPreObtainProductLicense took 2.547850 ms
            2010-05-24 17:58:28 [3976]  PCD thread: PCD thread started
            2010-05-24 17:58:28 [3976]  ServiceLoader: looking for library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\Adobe_OOBE_Launch er.dll
            2010-05-24 17:58:28 [3976]  ServiceLoader: Found library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\Adobe_OOBE_Launch er.dll
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [0] = en_US
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [1] = en_US
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [2] = ja_JP
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [3] = de_DE
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [4] = fr_FR
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [5] = zh_CN
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [6] = ru_RU
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [7] = ko_KR
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [8] = en_GB
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [9] = ar_AE
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [10] = da_DK
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [11] = el_GR
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [12] = fi_FI
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [13] = he_IL
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [14] = nb_NO
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [15] = ro_RO
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [16] = zh_TW
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [17] = fr_CA
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [18] = es_ES
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [19] = es_MX
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [20] = it_IT
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [21] = pt_BR
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [22] = nl_NL
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [23] = sv_SE
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [24] = cs_CZ
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [25] = pl_PL
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [26] = tr_TR
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [27] = hu_HU
            2010-05-24 17:58:28 [3976]  AMT: App Product Locale [28] = uk_UA
            2010-05-24 17:58:28 [3976]  config: Loading configuration for C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\application.xml
            2010-05-24 17:58:28 [3976]  config: Found payload code {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  PCDService: found driver code {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  config: config: Host app was installed, using installed license configuration.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [FLMap] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: Setting current license to the driver at startup because no mapping was found.
            2010-05-24 17:58:28 [3976]  config: Setting current license to FlashBuilderPlugin-CS5-Win-GM [ALL]
            2010-05-24 17:58:28 [3976]  config: payload code: {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  config: driver payload code: {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  config: driver licensing code: FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  config: current licensing code: FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  config: current locale code: ALL
            2010-05-24 17:58:28 [3976]  config: Done loading configuration
            2010-05-24 17:58:28 [3976]  AMT: Locale from PCD [0] = en_US
            2010-05-24 17:58:28 [3976]  AMT: Reordered Installed App Product Locale [0] = en_US
            2010-05-24 17:58:28 [3976]  config: Setting insalled locales
            2010-05-24 17:58:28 [3976]  config: Changing locale to "en_US" because old locale "" is not in the new list of installed languages
            2010-05-24 17:58:28 [3976]  ServiceLoader: looking for library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\asneu.dll
            2010-05-24 17:58:28 [3976]  ServiceLoader: Found library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\asneu.dll
            2010-05-24 17:58:28 [3976]  AMT: config: Finding license info for payload: {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  AMT: config: PayloadCode: {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  AMT: config: Driver PayloadCode: {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  AMT: config: Installed LicensingCode: FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [BridgeTalkCode] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [BridgeTalkCode] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [ISO_TAGGING_DISABLED] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [EULA] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Registration] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Registration] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  AMT: config: No BridgeTalkCode found in configuration; Bridgetalk will be disabled.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SuiteFeatureCount] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  AMT: Application can be serialized (sif file found).
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  config: Setting current license to FlashBuilderPlugin-CS5-Win-GM [ALL]
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [ExpirationDate] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  AMT: Subsequent launch (serial [95230700665031915420] in trial).
            2010-05-24 17:58:28 [3976]  AMT: Application state initialized.  Obtaining Product License.
            2010-05-24 17:58:28 [3976]  AMT: Obtaining client features from cache.
            2010-05-24 17:58:28 [3976]  AMT: Obtaining client product info from cache.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [ExpirationDate] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [ExpirationDate] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  AMT: Running in PROV_APP
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [MediaTag] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  config: No media tag found for payload {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  config: Using default media policy RET
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [EULA_ACCEPTED] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [EULA_PHASE] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:28 [3976]  uiswitch: Suppressing EULA display on requst
            2010-05-24 17:58:28 [3976]  AMT: This is a subsequent launch. Deferring services.
            2010-05-24 17:58:28 [3976]  performance: AMTObtainProductLicense took 179.272598 ms
            2010-05-24 17:58:28 [3976]  AMT: Pre-Validating Product License.
            2010-05-24 17:58:28 [3976]  AMT: Services not yet loaded in this session.
            2010-05-24 17:58:28 [3976]  AMT: Loading services in background to get ready for Validate call.
            2010-05-24 17:58:28 [3976]  AMT: Spawning background thread to load services.
            2010-05-24 17:58:28 [3976]  performance: AMTPreValidateProductLicense took 4.600975 ms
            2010-05-24 17:58:28 [3976]  AMT: Starting work on prevalidate thread.
            2010-05-24 17:58:28 [3976]  AMT: AMT: PreValidating Product License.
            2010-05-24 17:58:28 [3976]  AMT: Launch Workflow not yet done in this session.
            2010-05-24 17:58:28 [3976]  AMT: Starting Background Subsequent Launch Workflow
            2010-05-24 17:58:28 [3976]  AMT: Starting ALM workflow.
            2010-05-24 17:58:28 [3976]  AMT: Initializing ALM for serialized activation.
            2010-05-24 17:58:28 [3976]  ALMService: Initializing as licensed app
            2010-05-24 17:58:28 [3976]  ALM: _info_: Start ALM 3.2 Release (build 3.2.64.0)
            2010-05-24 17:58:28 [3976]  SLCoreService: Starting up SLCore 1.0 Release (build 1.0.13.199023).
            2010-05-24 17:58:28 [3976]  SLCoreService: Service construction took 0.0 ms and succeed.
            2010-05-24 17:58:28 [3976]  ALM: _info_: LEID passed FlashBuilderPlugin-CS5-Win-GM is used to configure SLCore = 0
            2010-05-24 17:58:28 [3976]  ALM: _info_: Host app is Licensable App
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [FlashBuilderPlugin-CS5-Win-GM{|}2] in hive [SSC-CS5-LE-Dominance] in master.
            2010-05-24 17:58:28 [3976]  ALM: _info_: Found LEID FlashBuilderPlugin-CS5-Win-GM with AMT Path C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT
            2010-05-24 17:58:28 [3976]  ALM: _info_: Found LEID WebSuitePremium-CS5-Win-GM with AMT Path C:\Program Files (x86)\Common Files\Adobe\ssc\WebSuitePremium-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  ALM: _info_: Found LEID MasterCollection-CS5-Win-GM with AMT Path C:\Program Files (x86)\Common Files\Adobe\ssc\MasterCollection-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [MediaTag] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  config: No media tag found for payload {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  config: Using default media policy RET
            2010-05-24 17:58:28 [3976]  ALM: _info_: MediaTagPolicy is RET
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [NTL_WO_SN] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:28 [3976]  ALM: _info_: Canonical LEID is FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  ALM: _info_: Driver LEID is FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [952307006650319154206597] in hive [RejectedSNDomain_CS5] in cache.
            2010-05-24 17:58:28 [3976]  SLCoreService: Reading product config [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\SLConfig.xml]
            2010-05-24 17:58:28 [3976]  ALM: _info_: alm::IsLangPackForLocaleInstalled - Checking if lang pack is installed for ALL

             

            2010-05-24 17:58:28 [3976]  ALM: _info_: alm::IsLangPackForLocaleInstalled - Lang pack is not installed
            2010-05-24 17:58:28 [3976]  ALM: _info_: Set Running Locale to en_US
            2010-05-24 17:58:28 [3976]  ALM: _time_: (func: ALM_Initialize, duration: 0.016 sec)
            2010-05-24 17:58:28 [3976]  AMT: Performing ALM silent license verification.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [EncryptedSerial] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in cache.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Serial] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in cache.
            2010-05-24 17:58:28 [3976]  config: No pre-serial number found in {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [PSN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US provisional serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [PSN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL provisional serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  ALM: _info_: Validate license at Post-Chrome time, running locale is en_US
            2010-05-24 17:58:28 [3976]  ALM: _info_: Searching license for locale en_US ...
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  ALM: _info_: Found no existing serialization
            2010-05-24 17:58:28 [3976]  ALM: _info_: Searching serial number for all possible LEIDs ...
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [WebSuitePremium-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in WebSuitePremium-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [WebSuitePremium-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in WebSuitePremium-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [MasterCollection-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in MasterCollection-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [MasterCollection-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in MasterCollection-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  ALM: _info_: Found no serial number
            2010-05-24 17:58:28 [3976]  ALM: _info_: This is the running locale, stop the search
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}en_US] in cache.
            2010-05-24 17:58:28 [3976]  config: No en_US licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [952307006650319154206597] in hive [RejectedSNDomain_CS5] in cache.
            2010-05-24 17:58:28 [3976]  ALM: _info_: alm::IsLangPackForLocaleInstalled - Checking if lang pack is installed for ALL

             

            2010-05-24 17:58:28 [3976]  ALM: _info_: alm::IsLangPackForLocaleInstalled - Lang pack is not installed
            2010-05-24 17:58:28 [3976]  config: Setting current license to FlashBuilderPlugin-CS5-Win-GM [ALL]
            2010-05-24 17:58:28 [3976]  SLCoreService: Syncing to license store...
            2010-05-24 17:58:28 [3976]  SLCoreService: Found client mkey.
            2010-05-24 17:58:28 [3976]  SLCoreService: Loading license references...
            2010-05-24 17:58:28 [3976]  SLCoreService: Found 2 license file(s)
            2010-05-24 17:58:28 [3976]  SLCoreService: Parsing license file [174626573.lic] succeed.
            2010-05-24 17:58:28 [3976]  SLCoreService: Parsing license file [3254477.lic] succeed.
            2010-05-24 17:58:28 [3976]  SLCoreService: License store synchronization took 76.7 ms and succeed.
            2010-05-24 17:58:28 [3976]  SLCoreService: Query license: type = 1, duration = 60 days, remaining = 30 day(s) 53614 seconds.
            2010-05-24 17:58:28 [3976]  SLCoreService: Feature ALM_FlashBuilderPremCS5GM_4.0 is enabled.
            2010-05-24 17:58:28 [3976]  SLCoreService: Feature FlashBuilder_4.0 is enabled.
            2010-05-24 17:58:28 [3976]  SLCoreService: Feature FlashBuilder_Base_4.0 is enabled.
            2010-05-24 17:58:28 [3976]  SLCoreService: Feature FlashBuilder_Prem_4.0 is enabled.
            2010-05-24 17:58:28 [3976]  ALM: _info_: Performing Block Check

             

            2010-05-24 17:58:28 [3976]  SLCoreService: Query license: type = 1, duration = 60 days, remaining = 30 day(s) 53614 seconds.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Subscription] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Subscription] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [ACT_NOINTERNET] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SERVICE_ONLINE] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:28 [3976]  SLCoreService: Query license: type = 1, duration = 60 days, remaining = 30 day(s) 53614 seconds.
            2010-05-24 17:58:28 [3976]  ALM: _time_: (func: ALM_License_SilentValidate, duration: 0.078 sec)
            2010-05-24 17:58:28 [3976]  ALM: _info_: ALM_License_SilentValidate return license status: Valid Not Activated
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [SN] in hive [FlashBuilderPlugin-CS5-Win-GM{|}ALL] in cache.
            2010-05-24 17:58:28 [3976]  config: No ALL licensed serial number found in FlashBuilderPlugin-CS5-Win-GM
            2010-05-24 17:58:28 [3976]  AMT: License check shows product is still in trial.
            2010-05-24 17:58:28 [3976]  AMT: Prevalidation finds app not activated.  Requiring foreground validate.
            2010-05-24 17:58:28 [3976]  AMT: Calling AUM API to create scheduler entry to be used by updater.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:28 [3976]  AUMService: config: No AdobeUpdaterCode found in configuration; AUM will be disabled.
            2010-05-24 17:58:28 [3976]  ServiceLoader: looking for library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\updaternotificati ons.dll
            2010-05-24 17:58:28 [3976]  ServiceLoader: Found library C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\plugins\com.adobe.flexide.amt_4.0.0.272416\os\win32\x86\updaternotificati ons.dll
            2010-05-24 17:58:28 [3976]  AUMService: IsUpdaterEnabled call
            2010-05-24 17:58:28 [3976]  AUMService: IsUpdaterEnabled call succeeded
            2010-05-24 17:58:28 [3976]  AUMService: Get LEID xml call
            2010-05-24 17:58:28 [3976]  AUMService: Get LEID XML call succeeded
            2010-05-24 17:58:28 [3976]  AMT: AUM GetLEID called with status =0.
            2010-05-24 17:58:28 [3976]  AMT: Starting Data Collection for SWTag_Init()
            2010-05-24 17:58:28 [3976]  AMT: DoISOTagging() productCanonicalLEID = FlashBuilderPlugin-CS5-Win-GM;outMappedLEID =  FlashBuilderPlugin-CS5-Win-GM, unused =
            2010-05-24 17:58:28 [3976]  AMT: DoISOTagging() productPayloadCode = {4429F632-6999-48AE-9251-9591031C7241};driverPayloadCode =  {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:28 [3976]  AMT: SWTag_Init() Tags Arguments Adobe Flash Builder 4 Plug-in; FlashBuilderPlugin-CS5-Win-GM;
            2010-05-24 17:58:28 [3976]  AMT: DoISOTagging() License Status = trial
            2010-05-24 17:58:28 [3976]  AMT: DoISOTagging() Tags 952307006650319154206597; 4.0; TRIAL
            2010-05-24 17:58:28 [3976]  AMT: DoISOTagging() Product Version 4; 0
            2010-05-24 17:58:28 [3976]  AMT: Prevalidate indicates license is bad or UI is required.
            2010-05-24 17:58:28 [3976]  performance: PreValidate thread took 265.950806 ms
            2010-05-24 17:58:29 [3976]  AMT: AMT: Validating Product License.
            2010-05-24 17:58:29 [3976]  AMT: Launch Workflow not yet done in foreground in this session.
            2010-05-24 17:58:29 [3976]  AMT: Starting Foreground Subsequent Launch Workflow
            2010-05-24 17:58:29 [3976]  AMT: Running in PROV_APP
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [MediaTag] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:29 [3976]  config: No media tag found for payload {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:29 [3976]  config: Using default media policy RET
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [EULA_ACCEPTED] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [EULA_PHASE] in hive [FlashBuilderPlugin-CS5-Win-GM] in cache.
            2010-05-24 17:58:29 [3976]  uiswitch: Suppressing EULA display on requst
            2010-05-24 17:58:29 [3976]  AMT: ALM workflow completed in this session.
            2010-05-24 17:58:29 [3976]  AMT: Product is not activated.  Starting ALM launch-time product licensing UI.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [ExpirationDate] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  SLCoreService: Query license: type = 1, duration = 60 days, remaining = 30 day(s) 53613 seconds.
            2010-05-24 17:58:29 [3976]  SLCoreService: Query license: type = 1, duration = 60 days, remaining = 30 day(s) 53613 seconds.
            2010-05-24 17:58:29 [3976]  ALM: _info_: Entered ALM_NeedANAG
            2010-05-24 17:58:29 [3976]  ALM: _info_: Exiting ALM_NeedANAG
            2010-05-24 17:58:29 [3976]  AMT: App is not to be relaunched.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [EULAFolderName] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  EULA: EULAFolderName key not found for license, using default name "Legal"
            2010-05-24 17:58:29 [3976]  EULA: EULA folder found relative to folder containing licensing AMT folder.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [EULAFolderName] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  EULA: EULAFolderName key not found for app, using default name "Legal"
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [NTL_WO_SN] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [STORE_URL] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  AMT: Running in PROV_APP
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value WorkFlowType [Subsequent_Launch]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value ShowEULA [false]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value TrialGrace [60]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value TrialLeft [31]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value BuyURL [http://www.adobe.com/go/buy?productID=424&release=4.0&platform=2&locale=en_US]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value LaunchMode [postchrome]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AdobeIDCreated [true]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppLaunchPath []
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppAMTBkGndFilePath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\LMResources\background.png]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppAMTLogoFilePath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT\LMResources\adobelogo.png]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppAMTLicenseAFAQFilePath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\OBLRes\en_US\LicenseFAQ.html]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppAMTConnectionFAQFilePath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\OBLRes\en_US\ConnectionFAQ.html]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AdobeCode [{4429F632-6999-48AE-9251-9591031C7241}]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value DriverAdobeCode [{4429F632-6999-48AE-9251-9591031C7241}]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppName [Adobe Flash Builder 4 Plug-in]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppRunningLEID [FlashBuilderPlugin-CS5-Win-GM]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppDriverLEID [FlashBuilderPlugin-CS5-Win-GM]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppRunningLocale [en_US]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppListOfLocales [en_US]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppProcessID []
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppPath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppAMTPath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppDriverAMTPath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\AMT]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppHostAppType [ALM_HostAppType_LicensedProduct]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppEULAFolderPath [C:\Program Files (x86)\Adobe\Adobe Flash Builder 4 Plug-in\eclipse\Legal]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value TrialExpired [0]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value AppSerialNumber [952307006650319154206597]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value NoTrial [0]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value UpgradeCheckRequired [0]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value BonusLaunchCode []
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value HasSAASBit [0]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value ForcedActivation [0]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value ExtendedProfileRegURL [http://www.adobe.com/go/adobemembership?productID=424&release=4.0&platform=2&locale=en_US& source=PCSTHX]
            2010-05-24 17:58:29 [3976]  uiswitch: Key Value ClaimSource [nag_trial]
            2010-05-24 17:58:29 [3976]  uiswitch: Subsequent_Launch
            2010-05-24 17:58:29 [3976]  uiswitch: PDApp
            2010-05-24 17:58:29 [3976]  uiswitch: Launched
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [AdobeUpdaterCodeV2] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [Updates] in hive [{4429F632-6999-48AE-9251-9591031C7241}] in master.
            2010-05-24 17:58:29 [3976]  AUMService: config: No AdobeUpdaterCode found in configuration; AUM will be disabled.
            2010-05-24 17:58:29 [3976]  AUMService: IsUpdaterEnabled call
            2010-05-24 17:58:29 [3976]  AUMService: IsUpdaterEnabled call succeeded
            2010-05-24 17:58:29 [3976]  ALM: _info_: Deactivation menu is disabled
            2010-05-24 17:58:29 [3976]  AMT: Completed Launch Workflow successfully.
            2010-05-24 17:58:29 [3976]  AMT: Checking client features against cache.
            2010-05-24 17:58:29 [3976]  AMT: Feature FlashBuilder_Prem 4.0 is licensed (was licensed).
            2010-05-24 17:58:29 [3976]  AMT: Feature FlashBuilder_Base 4.0 is licensed (was licensed).
            2010-05-24 17:58:29 [3976]  AMT: Validating client product info against cache.
            2010-05-24 17:58:29 [3976]  PCDService: No value for key [ExpirationDate] in hive [FlashBuilderPlugin-CS5-Win-GM] in master.
            2010-05-24 17:58:29 [3976]  AMT: Starting Data Collection for SWTag_Init()
            2010-05-24 17:58:29 [3976]  AMT: DoISOTagging() productCanonicalLEID = FlashBuilderPlugin-CS5-Win-GM;outMappedLEID =  FlashBuilderPlugin-CS5-Win-GM, unused =
            2010-05-24 17:58:29 [3976]  AMT: DoISOTagging() productPayloadCode = {4429F632-6999-48AE-9251-9591031C7241};driverPayloadCode =  {4429F632-6999-48AE-9251-9591031C7241}
            2010-05-24 17:58:29 [3976]  AMT: SWTag_Init() Tags Arguments Adobe Flash Builder 4 Plug-in; FlashBuilderPlugin-CS5-Win-GM;
            2010-05-24 17:58:29 [3976]  AMT: DoISOTagging() License Status = trial
            2010-05-24 17:58:29 [3976]  AMT: DoISOTagging() Tags 952307006650319154206597; 4.0; TRIAL
            2010-05-24 17:58:29 [3976]  AMT: DoISOTagging() Product Version 4; 0
            2010-05-24 17:58:29 [3976]  AMT: AMT: Product License Validated.
            2010-05-24 17:58:29 [3976]  performance: AMTValidateProductLicense took 50.538868 ms

            • 3. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS
              C. Agruss (Adobe) Level 3

              Thanks for posting your logs. I don't see any obvious errors there, and it recognizes your trial mode of FB4 successfully.

               

              A few things to try:

              - are you able to launch Flash Pro CS5 successfully in trial mode?

              - when you run your browsers (Mozilla-based and IE), which version of the Flash Player does it say is installed?

               

              You can check your Flash Player version here:

              http://kb2.adobe.com/cps/155/tn_15507.html

               

              -Chris

              • 4. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                RaamEE-IL Level 1

                Hi,

                 

                Flash Pro CS5 runs in trial mode without any problem.

                Firefox reports that Adobe Shockwave Flash 10.0.45.2 is installed.

                • 5. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS
                  C. Agruss (Adobe) Level 3

                  The versions of the Player match up properly, so that much is good, and if Flash Pro launches successfully, that's also a good sign.

                   

                  Does this error only happen when you run FB4 Plug-in from within your own copy of Eclipse (Galileo), or do you see the same error if you run the default copy of Eclipse (Ganymede) bundled with FB4 Plug-in?

                   

                  -Chris

                  • 6. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                    RaamEE-IL Level 1

                    Hi,

                     

                    This happens only when I launch the FB4 Plug-in from within my own copy of

                    Eclipse (Galileo).

                    The bundled Eclipse works perfectly.

                     

                    Bye,

                       Shlomi.

                    • 7. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                      Sorousho

                      Hi,

                      I see that the thread not get updated since more than one month; are there any solution?

                      I have the same problem with Flash Builder 4 installed as plugin in Eclipse Helios.

                       

                      Regards

                      • 8. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                        C. Agruss (Adobe) Level 3

                        Hi,

                         

                        Thanks for reporting this on Helios. We're running some Helios config tests this week using the 3.6.0 version released last Wednesday, and will post back to this thread with our findings and recommendations.

                         

                        A couple of questions for helping to reproduce your configuration:

                        - what OS are you running?

                        - if you're on Win, what version of Java is eclipse running with?

                        - which flavor of CS5 have you installed (Web Premium, Master Collection, or ??)

                        - are you running in Trial mode, or with a CS5 SN?

                         

                        Thanks for any additional info you can provide,

                         

                        -Chris

                        • 9. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                          Sorousho Level 1

                          Hi,

                           

                          Here are the required information:

                          -OS: Microsoft Windows XP Professional  5.1.2600 Service Pack 3 Build 2600.

                          -java version: I use eclipse.exe to start Eclipse and do not know what version does it use but 'java -version'  print this information:

                          java version "1.6.0_03"
                          Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
                          Java HotSpot(TM) Client VM (build 1.6.0_03-b05, mixed mode, sharing)

                          -I use master collection trial.

                           

                          Hope to get a fix soon.

                           

                          Thanks

                          • 10. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                            C. Agruss (Adobe) Level 3

                            Thanks for the details - we'll experiment with that exact same configuration here, with Helios. How many days do you have remaining on your trial of CS5 MC?

                             

                            In the meantime, are you able to run FB4 Plug-in successfully with its bundled copy of eclipse, and/or with the "standalone" version bundled with CS5 Master Collection?

                             

                            -Chris

                            • 11. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                              RaamEE-IL Level 1

                              Hi,

                               

                              I didn't get\find any solution.

                              I switched to using the complete eclipse IDE that comes with FB4 and am

                              currently using Eclipse Galileo for my Java and the FB4 Eclipse IDE for

                              Flash.

                               

                              Regards,

                               

                                  RaamEE-IL

                              • 12. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                C. Agruss (Adobe) Level 3

                                I ran a few Helios scenarios today on WinXP, with both CS5 Master Collection and FB4 Plug-in in trial mode:

                                - Helios IDE for Java Developers (32-bit and JRE 1.5)

                                - Helios IDE for Java EE Developers (32-bit and JRE 1.5)

                                 

                                - Helios IDE for Java EE Developers (32-bit and JRE 1.6)

                                 

                                FB4 Plug-in launched normally into Trial mode for me in all the situations above, without any errors. This leads to a few more questions about your configurations:

                                - exactly which Helios distro did you download (Java, JEE, SDK, etc.)?

                                - I assume you download the 32-bit version, not the 64-bit version of eclipse, right?

                                 

                                Also, regarding the error about Flash Pro CS5, do you remember if you'd already launched Flash Pro CS5 once before launching FB4 Plug-in, or did you launch them first in the opposite order?

                                 

                                I wonder if the error would resolve if you launched Flash Pro first, kept it running, and then launche FB4 Plug-in?

                                 

                                -Chris

                                • 13. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                  Sorousho Level 1

                                  I am using 32 version of Eclipse for PHP Developers http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/helio s/R/eclipse-php-helios-win32.zip

                                   

                                  As I remember I did not start Flash Pro before launching FB4 plugin in the first time I checked, for now it does not work even if I run Flash Pro and then FB4 plugin.

                                   

                                  Standalone FB4 version bundled with Adobe Master Collection trial works fine and can create Flash Professional project.

                                  • 14. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                    Dan Thomas

                                    Having the same issue on Full version of FB4 with trial of Flash CS5. Again bundled version (Ganymede) works fine, my own intall (Helios) doesn't recognise the Flash CS5 installation. Win7 32bit.

                                     

                                    Is there some config file/registry entrry I can update as to the whereabouts of Flash?

                                    • 15. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                      C. Agruss (Adobe) Level 3

                                      Hi Dan,

                                       

                                      Which Eclipse 3.6 package are you trying to plug into:

                                      - Eclipse for PHP Developers

                                      - Eclipse for Java Developers

                                      - Eclipse for Java EE Developers

                                      - one of the others?

                                       

                                      I've been able to install FB4 Plug-in successfully into the 3 packages listed above, but it runs slowly for me due to the small amount of memory allocated by the default eclipse.ini file:

                                      -Xms40m

                                      -Xmx384m

                                       

                                      It looked at first as if FB4 wasn't loading, but really I think java memory was paging, because when I left the machine alone for a few minutes then FB4 loaded up successfully, eventually.

                                       

                                      If this is the same problem you're seeing, then try adjusting the vmargs memory settings in your copy of eclipse.ini to match what we're using in our bundled copy:

                                      -Xms256m

                                      -Xmx512m

                                      -Chris

                                      • 16. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                        Dan Thomas Level 1

                                        The problem isn't installing FB into eclipse, that works fine and I can create Flex projects, AIR projects and Actionscript projects without issue. The only problem is when going to: New Project -> Flash Professional Project. For the bundled version this is fine and asks me to select an FLA file, for any non-bundled version it thinks I don't have Flash CS5 installed and so doesn't let me proceed giving the error: "This feature requires Adobe Flash CS5"

                                         

                                        I'm using the Eclipse Classic bundle.


                                        • 17. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                          C. Agruss (Adobe) Level 3

                                          Understood - thanks for confirming that.

                                           

                                          This sounds like a bug connected with our use of BridgeTalk, so I'll ask our BridgeTalk developer to take a look at this, and will report back.

                                           

                                          Thanks again,

                                           

                                          -Chris

                                          • 18. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                            about loadMovie

                                            I so,fb4.0 + flash pro cs5  no problem,now i setup fb4.01+adobe ma,get this message.........................................

                                            • 19. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                              C. Agruss (Adobe) Level 3

                                              Sorry that our BridgeTalk person hasn't chimed in yet.

                                               

                                              I'll ping him again, to see if he can help.

                                               

                                              -Chris

                                              • 20. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                mikew909

                                                Hi - im getting same issue with MyEclipse 8.5 when I try to create a CS5 Flash Professional project. Anyone managed to get this going with the plugin FB4?

                                                 

                                                Cheers

                                                 

                                                Mike

                                                • 21. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                  icepaco

                                                  Having the same problem as the others 'can't create a FLash Pro project from my Eclipse plug-in'

                                                  • 22. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                    C. Agruss (Adobe) Level 3

                                                    @icepaco

                                                     

                                                    To put what you're seeing into context with what others have reported, let me ask a few questions:

                                                    - are you able to launch Flash Pro CS5 on its own without any problem?

                                                    - when you try launching it from Eclipse, what's the exact error message you're seeing?

                                                     

                                                    Thanks,

                                                     

                                                    -Chris

                                                    • 23. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                      icepaco Level 1

                                                      Date: Thu, 11 Nov 2010 17:37:22 -0700

                                                      From: forums@adobe.com

                                                      To: icepaco33@hotmail.com

                                                      Subject: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"

                                                       

                                                      @icepaco

                                                       

                                                      To put what you're seeing into context with what others have reported, let me ask a few questions:

                                                      - are you able to launch Flash Pro CS5 on its own without any problem?

                                                      Yes, no problem launching CS5.  Actually if I double-click on a .fla in a Flash Builder project (on eclipse) it will open Flash CS5 no problem...

                                                      - when you try launching it from Eclipse, what's the exact error message you're seeing?

                                                      Cette fonctionnalité requiert l'installation d'Adobe Flash CS5 ou d'une version supérieure  (This feature require the installation of Adobe Flash CS5 or a superior version)

                                                       

                                                      Thanks,

                                                       

                                                      -Chris

                                                      >

                                                      • 24. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                        icepaco Level 1

                                                        Do we have a timeline of when we can expect an answer on this one ?

                                                        Is the bridgetalk developper aware of this, and if so when can we expect a fix or workaround ?

                                                         

                                                        Thanx in advance ...

                                                        • 25. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                          C. Agruss (Adobe) Level 3

                                                          I sent this thread to a different engineer on Monday (hit a dead-end before), so I expect we'll hear more this week after he digs into it.

                                                           

                                                          -Chris

                                                          • 26. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                            icepaco Level 1

                                                            Anything new about this subject ?

                                                            Or will I need to xfer my plugin version to the standalone one ?  And will my license work (I have the upgrade from Flex 3.0 plugin to 4.0 plugin) ???

                                                            Sorry to insist but I am kinda stuck right now on my project.

                                                            • 27. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                              C. Agruss (Adobe) Level 3

                                                              Sorry, still no response. You might want to open a support case instead.

                                                               

                                                              Or, you could install fb4 standalone - your same serial number will work.

                                                               

                                                              -Chris

                                                              • 28. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                icepaco Level 1

                                                                Hiya Chris

                                                                Ok so the standalone indeed works perfectly.

                                                                But I really liked all the options I had with the Eclipse plug-in.

                                                                So can you be so kind to direct me on how I can open up a support case ?

                                                                 

                                                                And how this will solve this issue faster ?

                                                                 

                                                                Regards,

                                                                 

                                                                Pascal

                                                                • 29. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                  Cedmo55

                                                                  Same Story here: CS5 on one of my co-workes Macs + FB4 in Trial -> always geht the same message that everybody does. Standalone works.

                                                                  • 30. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                    pablo85

                                                                    I see lots of questions answered with other questions, but after reading the entire thread, I don't see a solution.

                                                                     

                                                                    Perhaps I can start with a simple question (or two) that will let me research a solution to this problem - maybe directed at an Adobe guru.

                                                                     

                                                                    Where does Eclipse/FB 4 configure the location to look for Flash CS5?  Clearly, different people will have CS5 located in different locations on their system and what also seems clear is that FB4 doesn't know where to go to get at the resources, yet it must know.  Does it rely on system paths or is there some FB4 specific configuration required to tell it about CS5?  Is there any common thread about the failure cases, in other words, for example, "only people that installed CS5 independently from the suite" or "only people that were using a trial of CS5 and licensed version of FB4"...or.....

                                                                     

                                                                    I assume that there must be some elements in FB plugin that know to create a set of project resources when creating a new Flash Professional Project.  Are those part of the FB4 plugin resources?  Since FB4 plugin thinks that it can create a Flash Professional Project (ie its on my menu and on the menu of the original posters of this issue), then I assume all that's left is determining IF CS5 is installed and where it is installed, so back to my first simple question about how it knows.

                                                                     

                                                                    Lastly, is there any need to configure CS5 to be aware of FB4 plugin?  I certainly did not configure anything during install, and there doesn't appear to be any place to configure such a relationship.  Is FB4 "create new Flash Professional Project" supposed to work out of the box as long as both are installed?

                                                                     

                                                                    thanks if anyone can help.

                                                                    • 31. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                      C. Agruss (Adobe) Level 3

                                                                      Hi Pablo,

                                                                       

                                                                      The upshot of this is that the BridgeTalk link to Flash CS5 works reliably with FB4 Standalone, but not with FB4 Plug-in. This is resolved in the upcoming FB 4.5 release.

                                                                       

                                                                      The cause of this is understood now, and is related to how BridgeTalk info is stored in Adobe's Product Configuration Database (PCD), that is configured differently for Standalone versus Plug-in.

                                                                       

                                                                      -Chris

                                                                      • 32. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                        pablo85 Level 1

                                                                        thanks Chris, that conclusion matches my specific scenario so I guess bridgetalk is the culprit...

                                                                         

                                                                        thanks for the quick reply,  Pablo

                                                                        • 33. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                          mpdown

                                                                          I've just installed FB 4.5 as a stand-alone and get this message when I try to create a flash professional project: "This feature requires a newer version of Adobe Flash Professional to be installed.", I have Flash CS5 installed. I guess this is a similar error as the OP, but you seem to think this should be fixed by now. Any idea why this might not be working? I'm running Windows on a mac under bootcamp if that makes any difference.

                                                                          • 34. Re: I have FB4 and Flash Pro CS5 installed and get the message "This feature requires Adobe Flash CS5"
                                                                            sam.baker

                                                                            I have the same problem as mpdown, the Flash Builder 4.5 Trial doesn't let me create Flash Professional projects even though I have the latest (non-trial) version of Flash CS5. I still get the error message " This feature requires a newer version of Adobe Flash Professional to be installed."

                                                                             

                                                                            Edit: I'm running the latest products under Mac OS X. My CS5 version number is 11.0.2.489. Flash Builder 4.5 Trial is the stand-alone product, not the Eclipse plugin.